/*
PAYMENTS API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package paymentsapi

import (
	"encoding/json"
)

// checks if the AvailableActionsResponse type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AvailableActionsResponse{}

// AvailableActionsResponse struct for AvailableActionsResponse
type AvailableActionsResponse struct {
	Unzer []string `json:"unzer"`
	Paypal []string `json:"paypal"`
	Custom []string `json:"custom"`
}

// NewAvailableActionsResponse instantiates a new AvailableActionsResponse object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAvailableActionsResponse(unzer []string, paypal []string, custom []string) *AvailableActionsResponse {
	this := AvailableActionsResponse{}
	this.Unzer = unzer
	this.Paypal = paypal
	this.Custom = custom
	return &this
}

// NewAvailableActionsResponseWithDefaults instantiates a new AvailableActionsResponse object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAvailableActionsResponseWithDefaults() *AvailableActionsResponse {
	this := AvailableActionsResponse{}
	return &this
}

// GetUnzer returns the Unzer field value
func (o *AvailableActionsResponse) GetUnzer() []string {
	if o == nil {
		var ret []string
		return ret
	}

	return o.Unzer
}

// GetUnzerOk returns a tuple with the Unzer field value
// and a boolean to check if the value has been set.
func (o *AvailableActionsResponse) GetUnzerOk() ([]string, bool) {
	if o == nil {
		return nil, false
	}
	return o.Unzer, true
}

// SetUnzer sets field value
func (o *AvailableActionsResponse) SetUnzer(v []string) {
	o.Unzer = v
}

// GetPaypal returns the Paypal field value
func (o *AvailableActionsResponse) GetPaypal() []string {
	if o == nil {
		var ret []string
		return ret
	}

	return o.Paypal
}

// GetPaypalOk returns a tuple with the Paypal field value
// and a boolean to check if the value has been set.
func (o *AvailableActionsResponse) GetPaypalOk() ([]string, bool) {
	if o == nil {
		return nil, false
	}
	return o.Paypal, true
}

// SetPaypal sets field value
func (o *AvailableActionsResponse) SetPaypal(v []string) {
	o.Paypal = v
}

// GetCustom returns the Custom field value
func (o *AvailableActionsResponse) GetCustom() []string {
	if o == nil {
		var ret []string
		return ret
	}

	return o.Custom
}

// GetCustomOk returns a tuple with the Custom field value
// and a boolean to check if the value has been set.
func (o *AvailableActionsResponse) GetCustomOk() ([]string, bool) {
	if o == nil {
		return nil, false
	}
	return o.Custom, true
}

// SetCustom sets field value
func (o *AvailableActionsResponse) SetCustom(v []string) {
	o.Custom = v
}

func (o AvailableActionsResponse) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AvailableActionsResponse) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["unzer"] = o.Unzer
	toSerialize["paypal"] = o.Paypal
	toSerialize["custom"] = o.Custom
	return toSerialize, nil
}

type NullableAvailableActionsResponse struct {
	value *AvailableActionsResponse
	isSet bool
}

func (v NullableAvailableActionsResponse) Get() *AvailableActionsResponse {
	return v.value
}

func (v *NullableAvailableActionsResponse) Set(val *AvailableActionsResponse) {
	v.value = val
	v.isSet = true
}

func (v NullableAvailableActionsResponse) IsSet() bool {
	return v.isSet
}

func (v *NullableAvailableActionsResponse) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAvailableActionsResponse(val *AvailableActionsResponse) *NullableAvailableActionsResponse {
	return &NullableAvailableActionsResponse{value: val, isSet: true}
}

func (v NullableAvailableActionsResponse) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAvailableActionsResponse) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


